> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enzo.health/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Workflow



## OpenAPI

````yaml post /api/v1/workflow_runs
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.enzo.health
security:
  - bearerAuth: []
paths:
  /api/v1/workflow_runs:
    post:
      summary: Run Workflow
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - workflowId
              properties:
                files:
                  type: array
                  description: An array of Files.
                  items:
                    type: object
                    required:
                      - name
                      - url
                    properties:
                      name:
                        type: string
                        description: The name of the file.
                      url:
                        type: string
                        description: >-
                          A presigned URL for the file. Though we will download
                          immediately, we recommend a 5 - 15 minute expiration
                          time.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflowRun:
                    type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - workflow_run
                        description: The type of response, always 'workflow_run'.
                      id:
                        type: string
                        description: >-
                          An ID corresponding to a specific File x Workflow
                          combination.
                      status:
                        type: string
                        enum:
                          - PENDING
                          - IN_PROGRESS
                          - SUCCEEDED
                          - FAILED
                          - CANCELED
                        description: >-
                          The status of a WorkflowRun. Always 'PENDING'
                          initially.
                      initialRunAt:
                        type: string
                        format: date-time
                        description: The time (in UTC) at which the workflow was started.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````